> ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Returns evaluation data for a specific evaluation > The **GetEvaluationResponses** command returns evaluation responses. ## OpenAPI ````json GET /GetEvaluationResponses { "openapi": "3.0.3", "info": { "title": "Lab API", "description": "# Introduction \nWelcome to Skillable Connect: LAB Edition, our core platform for creating, customizing, and managing labs. \n\n## Skillable Production API & Integration Testing\nOnly lab profiles with a development status of **Complete** are consumable via API.\n\nDevelopment/Integration Testing API available with all the same API calls your production API can make, but has the following settings:\n\n- Max Active Lab Instances: 5\n- Max Saved Labs per User: 1\n- Max Active Lab Instances per user: 5\n- Max lab duration: 30 minutes\n- Allows launching of lab profiles with any Development Status (i.e. is not restricted to a Complete development status)\n- Has a dedicated API key\n- Does not generate billable events\n\n## Authenticate with API Key\nSkillable APIs offer one form of authentication: an API Key. All methods require an API Key, which must be obtained from a Skillable team member working with your organization. Our systems use this key to validate your development account. \n\nPass your API Key as an HTTP request header with the header name \"api_key\".\n\n\n\n", "termsOfService": "https://skillable.com/terms-and-conditions/", "contact": { "name": "Skillable Support", "email": "support@skillable.com", "url": "https://skillable.com/customer-support/" }, "x-logo": { "url": "https://raw.githubusercontent.com/LearnOnDemandSystems/ConnectAPI/main/Skillable%20Connect%20Logo.svg", "altText": "Skillable Connect" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "3.0" }, "servers": [ { "url": "https://labondemand.com/api/v3", "description": "Skillable Connect LAB API" } ], "security": [ { "api_key": [] } ], "tags": [ { "name": "Lab Instance Management", "description": "The Lab Instance Management group of API commands allows interacting with lab instances. This includes but is not limited to the following actions: \n* [Launch a lab](https://connect.skillable.com/lab/operation/Launch/) \n* [Cancel a lab](https://connect.skillable.com/lab/operation/Cancel/)\n* [Save a lab](https://connect.skillable.com/lab/operation/Save/) \n* [Resuming a lab](https://connect.skillable.com/lab/operation/Resume/) \n* [Initiate scoring of activities in a lab](https://connect.skillable.com/lab/operation/ScoreActivities/) \n* [Send notifications to a lab](https://connect.skillable.com/lab/operation/SendNotification-post/) \n* [Retrieve information about lab instances](https://connect.skillable.com/lab/operation/Results/)" }, { "name": "Lab Profile Management", "description": "The Lab Profile Management group of API commands allows for managing instructions and retrieving information about Lab Profiles within Skillable Studio. \n* [Retrieve information about a specific lab profile](https://connect.skillable.com/lab/operation/LabProfile/) \n* [Retrieve lab instructions for a specific lab](https://connect.skillable.com/lab/operation/LabProfile/) \n* [Download instructions in a zip file for a specific lab](https://connect.skillable.com/lab/operation/GetLabInstructionsPackage/) \n* [Update lab instructions for a specific lab profile using an HTTP post](https://connect.skillable.com/lab/operation/UpdateLabInstructions/) \n* [Update lab instructions for a specific lab by uploading a zip file](https://connect.skillable.com/lab/operation/UpdateLabInstructionsPackage/) " }, { "name": "Class Management", "description": "The Class Management group of API commands allows for the creation, management, access, and monitoring of classes within Skillable Studio. \n* [Retrieve information about a class in Skillable Studio](https://connect.skillable.com/lab/operation/Class/) \n* [Retrieve information about an existing class, if the class does not exist, it will be created](https://connect.skillable.com/lab/operation/GetOrCreateClass/) \n* [Return a single access URL to access a class management page](https://connect.skillable.com/lab/operation/ClassAccessUrl/) \n* [Return a single use URL to monitor a lab instance](https://connect.skillable.com/lab/operation/LabMonitorUrl/) \n* [Return a single use URL to access a lab instance](https://connect.skillable.com/lab/operation/LabAccessUrl/) \n* [Update a specific class](https://connect.skillable.com/lab/operation/UpdateClass/) \n* [Delete a specific class](https://connect.skillable.com/lab/operation/DeleteClass/) " }, { "name": "User Management", "description": "The User Management group of API commands are used to administer user accounts within Skillable Studio.\n* [Return information about saved or running labs for a specific user account](https://connect.skillable.com/lab/operation/UserRunningAndSavedLabs/) \n* [Close a user account and remove all associated user information](https://connect.skillable.com/lab/operation/CloseUserAccount/) " }, { "name": "Event Management", "description": "The Event Management group of API commands allows for launching lab profiles for events and retrieving evaluation responses.\n* [Launch a lab within an event](https://connect.skillable.com/lab/operation/LaunchforEvent/) \n* [Launch a lab within an event, using an external ID](https://connect.skillable.com/lab/operation/LaunchforEventByExternalId/) \n* [Retrieve evaluation data for a specified event](https://connect.skillable.com/lab/operation/GetEvaluationResponsesForEvent/) " }, { "name": "Organization", "description": "Organizational API commands provide the ability to return information about lab profiles, lab series, and delivery regions available to your organization in Skillable Studio.\n* [Retrieve information about lab profiles, lab series, and delivery regions available to your organization](https://connect.skillable.com/lab/operation/Catalog/) \n* [Retrieve information about delivery regions that are available to your organization](https://connect.skillable.com/lab/operation/DeliveryRegions/) " } ], "paths": { "/GetEvaluationResponses": { "get": { "tags": [ "Lab Instance Management" ], "summary": "Returns evaluation data for a specific evaluation", "description": "The **GetEvaluationResponses** command returns evaluation responses.", "operationId": "GetEvaluationResponses", "parameters": [ { "name": "id", "in": "query", "description": "The unique identifier of the evaluation.", "required": "true", "style": "form", "explode": "true", "schema": { "type": "integer", "format": "int32", "example": "12345" } }, { "name": "takenAfter", "in": "query", "description": "The date/time (in Unix epoch time) that the evaluation response is after.", "required": "false", "style": "form", "explode": "true", "schema": { "type": "integer", "format": "int64", "example": "1598292299" } }, { "name": "takenBefore", "in": "query", "description": "The date/time (in Unix epoch time) that the evaluation response is after.", "required": "false", "style": "form", "explode": "true", "schema": { "type": "integer", "format": "int64", "example": "1598465099" } }, { "name": "classId", "in": "query", "description": "The unique identifier of the class the evaluation was taken in.", "required": "false", "style": "form", "explode": "true", "schema": { "type": "integer", "format": "int32", "example": "1223334444" } }, { "name": "eventId", "in": "query", "description": "The unique identifier of the event the evaluation was taken in.", "required": "false", "style": "form", "explode": "true", "schema": { "type": "integer", "format": "int32", "example": "24" } } ], "responses": { "200": { "description": "OK Response.", "headers": {}, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetEvaluationResponsesResponse" }, "examples": { "Example of a response for an evaluation": { "value": { "Responses": [ { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Multiple Choice, Multiple Answers", "Label": "", "A1DText": "Answer 2", "A1DWeight": "0", "A2DText": null, "A2DWeight": null, "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, One Answer Per Row", "Label": "", "A1DText": "Row 1", "A1DWeight": "0", "A2DText": "Column 2", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, One Answer Per Row", "Label": "", "A1DText": "Row 2", "A1DWeight": "0", "A2DText": "Column 2", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, One Answer Per Row", "Label": "", "A1DText": "Row 3", "A1DWeight": "0", "A2DText": "Column 2", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, Multiple Answers Per Row", "Label": "", "A1DText": "Row 1", "A1DWeight": "0", "A2DText": "Column 1", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, Multiple Answers Per Row", "Label": "", "A1DText": "Row 3", "A1DWeight": "0", "A2DText": "Column 3", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Single Textbox", "Label": "", "A1DText": null, "A1DWeight": null, "A2DText": null, "A2DWeight": null, "TextAnswer": "Just answer 2" }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Multiple Textboxs", "Label": "", "A1DText": "Textbox 1", "A1DWeight": "0", "A2DText": null, "A2DWeight": null, "TextAnswer": "Textboxes 2 and 3 are blank." }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Multiple Textboxs", "Label": "", "A1DText": "Textbox 2", "A1DWeight": "0", "A2DText": null, "A2DWeight": null, "TextAnswer": "This is answer 2" }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Multiple Textboxs", "Label": "", "A1DText": "Textbox 1", "A1DWeight": "0", "A2DText": null, "A2DWeight": null, "TextAnswer": "This is answer 1" }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Single Textbox", "Label": "", "A1DText": null, "A1DWeight": null, "A2DText": null, "A2DWeight": null, "TextAnswer": "I answered 1 and 2" }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, Multiple Answers Per Row", "Label": "", "A1DText": "Row 3", "A1DWeight": "0", "A2DText": "Column 3", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "QuestionText": "Matrix, Multiple Answers Per Row", "Label": "", "A1DText": "Row 3", "A1DWeight": "0", "A2DText": "Column 1", "A2DWeight": "0", "TextAnswer": null }, { "Number": "Sample0101", "Name": "Sample Lab 0101", "Tag": null, "Start": "1333267200", "End": "1333299600", "Label": "", "QuestionText": "Matrix, Multiple Answers Per Row", "A1DText": "Row 2", "A1DWeight": "0", "A2DText": "Column 3", "A2DWeight": "0", "TextAnswer": null } ], "Error": null, "Status": "1" } } } } } } }, "deprecated": "false" } } }, "components": { "schemas": { "GetEvaluationResponsesResponse": { "type": "object", "x-examples": {}, "properties": { "Responses": { "type": "array", "items": { "type": "object", "properties": { "ResponseID": { "type": "integer", "x-stoplight": { "id": "ea49ivcyo94j1" }, "description": "Unique ID associated with the evaluation response." }, "LabProfileID": { "type": "integer", "x-stoplight": { "id": "q70xrm61lccte" }, "description": "ID of the lab profile that the evaluation was completed." }, "Number": { "type": "string", "description": "The lab number." }, "Name": { "type": "string", "description": "The lab name." }, "Tag": { "type": "string", "description": "The tag associated with the lab instance.", "nullable": "true" }, "ClassID": { "type": "string", "x-stoplight": { "id": "kjjw48zn691fs" }, "description": "Id of the class in which the evaluation was completed." }, "Start": { "type": "integer", "description": "The start time of the lab instance (in Unix epoch time).", "format": "int64" }, "End": { "type": "integer", "description": "The end time of the lab instance (in Unix epoch time).", "format": "int64" }, "QuestionText": { "type": "string", "description": "The text of the evaluation question." }, "Label": { "type": "string", "description": "The text of the evaluation question.", "nullable": "true" }, "A1DText": { "type": "string", "description": "The text of the 1D answer option.", "nullable": "true" }, "A1DWeight": { "type": "integer", "description": "The associated weight of the 1D answer option.", "format": "int32", "nullable": "true" }, "A2DText": { "type": "string", "description": "The text of the 2D answer option.", "nullable": "true" }, "A2DWeight": { "type": "integer", "description": "The associated weight of the 2D answer option.", "format": "int32", "nullable": "true" }, "TextAnswer": { "type": "string", "description": "The manually entered answer to the evaluation question.", "nullable": "true" } } } }, "Error": { "type": "string", "description": "In the event of an error, this will contain a detailed error message.", "nullable": "true" }, "Status": { "type": "integer", "format": "int32", "description": "Indicates the status of the API request. \n0 = Error \n1 = Success" } } } }, "securitySchemes": { "api_key": { "name": "api_key", "type": "apiKey", "in": "header", "description": "All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name \"api_key\"." } } } } ````